Bug 170729 - inclusion of GB18030 table and input style
inclusion of GB18030 table and input style
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-tables (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature, i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2005-10-14 00:30 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: scim-1.4.4-15
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 20:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample GB output (36 bytes, text/plain)
2005-10-14 00:30 EDT, Lawrence Lim
no flags Details
code which generates GB18030 table (19.57 KB, text/plain)
2005-10-14 03:03 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2005-10-14 00:30:32 EDT
Created attachment 119958 [details]
sample GB output
Comment 1 Lawrence Lim 2005-10-14 00:30:32 EDT
Description of problem:
GB18030 table was included in chinputLE, is it possible to include the table in
scim as well? In addition, an input style is also required to use the table.

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always

Steps to Reproduce:
1.start chinputLE 
2.select the forth option (input style)
3.enter AAA or BBB or CCC or DDD
  
Expected Result
Must be able to see the output in the candidate windows as shown in the sample file.
Comment 2 Jens Petersen 2005-10-14 01:00:58 EDT
Can you point me to the table, please?
Comment 3 Lawrence Lim 2005-10-14 03:03:23 EDT
Created attachment 119962 [details]
code which generates GB18030 table
Comment 4 James Su 2006-01-10 23:04:24 EST
If the locale is zh_CN.GB18030, then the raw code module supports inputting with
GB18030 code.

IMO, the raw code module may be extended to support multiple encodings.
Comment 5 Lawrence Lim 2006-01-16 00:06:02 EST
Hmm..I am not able to input GB18030 code even in zh_CN.GB18030. Will investigate
further.
Comment 6 Qian Shen 2006-01-17 00:53:10 EST
James Su fixed this bug in scim-1.4.4. I checked out the scim-1.4 brance from
the main scim cvs, and veryfied this bug using it. The  bug is fixed.
Comment 7 Jens Petersen 2006-01-18 21:53:38 EST
scim-1.4.4 is in fc devel now.
Comment 8 Lawrence Lim 2006-04-27 20:20:43 EDT
Confirmed working with scim-1.4.4-15 in rawcode after changing encoding in the
aux window.

Note You need to log in before you can comment on or make changes to this bug.